Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1892856 - F34FailsToInstall: libbluray-devel
Summary: F34FailsToInstall: libbluray-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libbluray
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-10-29 19:24 UTC by Miro Hrončok
Modified: 2020-11-22 01:24 UTC (History)
3 users (show)

Fixed In Version: libbluray-1.2.1-2.fc32 libbluray-1.2.1-2.fc31 libbluray-1.2.1-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-30 19:14:06 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2020-10-29 19:24:02 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (libbluray) Fails To Install in Fedora 34:

can't install libbluray-devel:
  - nothing provides pkgconfig(libudfread) >= 1.1.0 needed by libbluray-devel-1.2.1-1.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Xavier Bachelot 2020-10-29 23:01:00 UTC
libbluray-devel requires:
pkgconfig(libudfread) >= 1.1.0

but libudfread-devel provides:
pkgconfig(udfread) = 1.1.0

This is related to :
https://code.videolan.org/videolan/libbluray/-/blob/master/configure.ac#L285
and:
https://code.videolan.org/videolan/libudfread/-/blob/master/src/udfread.pc.in

Comment 3 Fedora Update System 2020-10-30 15:48:34 UTC
FEDORA-2020-4458232d79 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4458232d79

Comment 4 Fedora Update System 2020-10-30 15:48:37 UTC
FEDORA-2020-0289666ff5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0289666ff5

Comment 5 Fedora Update System 2020-10-30 15:48:39 UTC
FEDORA-2020-c635688f4e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c635688f4e

Comment 6 Miro Hrončok 2020-10-30 19:14:06 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!

Comment 7 Fedora Update System 2020-10-31 02:55:45 UTC
FEDORA-2020-0289666ff5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0289666ff5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0289666ff5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-31 03:01:43 UTC
FEDORA-2020-4458232d79 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4458232d79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4458232d79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-31 03:16:17 UTC
FEDORA-2020-c635688f4e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c635688f4e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c635688f4e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-15 01:48:57 UTC
FEDORA-2020-4458232d79 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-11-15 02:15:11 UTC
FEDORA-2020-c635688f4e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-11-22 01:24:36 UTC
FEDORA-2020-0289666ff5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.